#
# spec file for package perl-Mojolicious-Plugin-Bootstrap3
#
# Copyright (c) 2015 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Mojolicious-Plugin-Bootstrap3
Version:        3.3505
Release:        3.5
%define cpan_name Mojolicious-Plugin-Bootstrap3
Summary:        Mojolicious + http://getbootstrap.com/
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Mojolicious-Plugin-Bootstrap3/
Source0:        http://www.cpan.org/authors/id/J/JH/JHTHORSEN/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Mojolicious) >= 6.00
BuildRequires:  perl(Mojolicious::Plugin::AssetPack) >= 0.67
BuildRequires:  perl(Test::More) >= 0.88
Requires:       perl(Mojolicious) >= 6.00
Requires:       perl(Mojolicious::Plugin::AssetPack) >= 0.67
%{perl_requires}

%description
the Mojolicious::Plugin::Bootstrap3 manpage is used to include the
http://getbootstrap.com/ manpage CSS and JavaScript files into your
project.

This is done with the help of the Mojolicious::Plugin::AssetPack manpage
and http://sass-lang.com/.

See the Mojolicious::Plugin::AssetPack::Preprocessor::Sass/DESCRIPTION
manpage on how to intall Sass.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README sache.json

%changelog
* Fri Oct  2 2015 coolo@suse.com
- updated to 3.3505
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Bootstrap3/Changes
  3.3505 2015-09-28T07:44:01+0200
  - Require Mojolicious::Plugin::AssetPack 0.67
  3.3504 2015-09-27T15:46:40+0200
  - Fix non-existing directory t/public for t/without-jquery.t
  3.3503 2015-09-25T16:56:30+0200
  - Compatible with Mojolicious::Plugin::AssetPack 0.65
* Sun Aug 30 2015 coolo@suse.com
- updated to 3.3502
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Bootstrap3/Changes
* Sun Apr 19 2015 coolo@suse.com
- updated to 3.3007
  see /usr/share/doc/packages/perl-Mojolicious-Plugin-Bootstrap3/Changes
* Wed Mar 18 2015 coolo@suse.com
- updated to 3.3006
  * Add support for easy customization
  * Merged with Bootstrap v3.3.3
  * Add support for themes
* Wed Mar 18 2015 coolo@suse.com
- initial package 3.2005
  * created by cpanspec 1.78.08
